Skip to main content
POST
/
v0
/
boards
Create board
curl --request POST \
  --url https://api.formo.so/v0/boards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Weekly KPIs",
  "description": "Headline metrics for the team standup.",
  "isPublic": false
}
'
import requests

url = "https://api.formo.so/v0/boards"

payload = {
"title": "Weekly KPIs",
"description": "Headline metrics for the team standup.",
"isPublic": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Weekly KPIs',
description: 'Headline metrics for the team standup.',
isPublic: false
})
};

fetch('https://api.formo.so/v0/boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "project_id": "<string>",
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "title": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Body

application/json
title
string
required

Human-readable board name. Required.

Minimum string length: 1
description
string

Optional longer description.

isPublic
boolean
default:false

Whether the board is publicly viewable via its share URL. Defaults to false.

Response

201 - application/json

Board created

id
string
required
project_id
string
required
enabled
boolean
required

Whether the board is publicly accessible

created_at
string<date-time>
updated_at
string<date-time> | null
title
string
description
string | null